QGIS Application - Bug report #20040
"Export to a file" from DBManager to GeoPackage generates a file with shifted columns
2018-10-06 10:34 PM - Even Rouault

Status: Closed

Priority: Normal

Assignee: Even Rouault

Category: Data Provider/OGR

Affected QGIS version:3.3(master) Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 27862
Description

From https://lists.osgeo.org/pipermail/qgis-user/2018-October/041207.html{{{
Just checking if others are observing something similar:
- | was writing data to gpkg files from a postgis database.from the
Database Manager. (e.g., select a layer from the PostGIS database and hit
the "export to file" button at the top.
- The resulting gpkg layer loses data in a column towards the left, but all
of the headings are maintained. Thus, data are shifted to the left one
column from a certain point on, and the last column has NULLs.

H

Associated revisions

Revision bd6¢c1115 - 2018-10-07 11:23 PM - Even Rouault

[OGR provider] Make createEmptyLayer() work properly on GeoPackage when creating/overwrite a new database (fixes #20040)

History

#1 - 2018-10-07 11:22 PM - Even Rouault
- % Done changed from 0 to 100
- Status changed from Open to Closed

Applied in changeset commit:qgis|bd6c1115bbef29f06ca02840ac7ecadc2a8ce8e2.
